# jenkins部署后目录问题
cd /usr/share/nginx/html/ax-node


# 检查端口18061是否已被占用
netstat -anp | grep 18061 > /dev/null 2>&1
# 如果端口18061已被占用，则关闭占用该端口的进程
if [ $? -eq 0 ]; then
  pid=$(netstat -anp | grep 18061 | awk '{print $7}' | cut -d/ -f1)
  kill -9 $pid
fi
# 授权
chmod u+x ./app
# 获取当前时间
current_time=$(date +"%Y-%m-%d_%H:%M:%S")
# 启动新的nohup进程
nohup ./app > "ax-node_$current_time.log" 2>&1 &